SelectionFailedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.selection
Class SelectionFailedEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.selection.ServiceContextEvent
              javax.tv.service.selection.SelectionFailedEvent

All Implemented Interfaces:
  Serializable

    public class SelectionFailedEvent

extends ServiceContextEvent

`SelectionFailedEvent` is generated when a service selection operation fails. `SelectionFailedEvent` is not generated when a service selection fails with an exception.

Presentation failures enforced via a conditional access system may be reported by this event (with the reason code CA_REFUSAL) or by `AlternativeContentEvent.` Which of these is used depends on the precise nature of the conditional access system. Applications must allow for both modes of failure.

See Also:
  `AlternativeContentEvent`, Serialized Form

Field Summary
`static int` | `CA_REFUSAL` Reason code : Selection failed due to the CA system refusing to permit it.
`static int` | `CONTENT_NOT_FOUND` Reason code : Selection failed because the requested content could not be found in the network.
`static int` | `INSUFFICIENT_RESOURCES` Reason code : Selection failed due to a lack of resources required to present this service.
`static int` | `INTERRUPTED` Reason code : Selection has been interrupted by another selection request.
`static int` | `MISSING_HANDLER` Reason code : Selection failed due to absence of a `ServiceContentHandler` required to present the requested service.
`static int` | `TUNING_FAILURE` Reason code : Selection failed due to problems with tuning.

Constructor Summary
`SelectionFailedEvent(ServiceContext source, int reason)` Constructs the event with a reason code.

Method Summary
`int` | `getReason()` Reports the reason why the selection failed.

Methods inherited from class javax.tv.service.selection.ServiceContextEvent
`getServiceContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERRUPTED

    public static final int INTERRUPTED

  Reason code : Selection has been interrupted by another selection request.

  See Also:
    Constant Field Values

### CA_REFUSAL

    public static final int CA_REFUSAL

  Reason code : Selection failed due to the CA system refusing to permit it.

  See Also:
    Constant Field Values

### CONTENT_NOT_FOUND

    public static final int CONTENT_NOT_FOUND

  Reason code : Selection failed because the requested content could not be found in the network.

  See Also:
    Constant Field Values

### MISSING_HANDLER

    public static final int MISSING_HANDLER

  Reason code : Selection failed due to absence of a `ServiceContentHandler` required to present the requested service.

  See Also:
    `ServiceContentHandler`, Constant Field Values

### TUNING_FAILURE

    public static final int TUNING_FAILURE

  Reason code : Selection failed due to problems with tuning.

  See Also:
    Constant Field Values

### INSUFFICIENT_RESOURCES

    public static final int INSUFFICIENT_RESOURCES

  Reason code : Selection failed due to a lack of resources required to present this service.

  See Also:
    Constant Field Values

Constructor Detail

### SelectionFailedEvent

    public SelectionFailedEvent(ServiceContext source,
                                int reason)

  Constructs the event with a reason code.

  Parameters:
    `source` - The `ServiceContext` that generated the event.
    `reason` - The reason why the selection failed.

Method Detail

### getReason

    public int getReason()

  Reports the reason why the selection failed.

  Returns:
    The reason why the selection failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD